Skip to main content
GET
/
v1
/
scheduled-tasks
List appointments
curl --request GET \
  --url https://integrations.salesask.com/v1/scheduled-tasks \
  --header 'x-api-key: <api-key>'
{
  "appointments": [
    {
      "id": "task_123",
      "event_id": "CRM-JOB-9871",
      "startTime": "2023-11-07T05:31:56Z",
      "customerName": "John Doe",
      "customerAddress": "<string>",
      "customerPhone": "<string>",
      "customerEmail": "jsmith@example.com",
      "scheduledAt": "2023-11-07T05:31:56Z",
      "status": "scheduled",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "2023-11-07T05:31:56Z",
  "hasMore": true
}

Authorizations

x-api-key
string
header
required

Query Parameters

user_email
string<email>
fromDate
string<date-time>
toDate
string<date-time>
limit
integer
default:25
Required range: 1 <= x <= 100
startAfter
string<date-time>

Response

OK

appointments
object[]
nextCursor
string<date-time> | null
hasMore
boolean